Bug 167943 - Review Request: sblim-cmpi-base
Review Request: sblim-cmpi-base
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2005-09-09 14:31 EDT by Mark Hamzy
Modified: 2009-10-12 09:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-10 12:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2005-09-09 14:31:11 EDT
Spec Name or Url: http://prdownloads.sourceforge.net/sblim/sblim-cmpi-base.spec?download
SRPM Name or Url: http://prdownloads.sourceforge.net/sblim/sblim-cmpi-base-1.5.3-1.tog_pegasus.src.rpm?download
Standards Based Linux Instrumentation Base CMPI Providers for System-related CIM classes
Comment 1 Mark Hamzy 2005-10-10 15:45:19 EDT
What is the next step in the process?
Comment 2 Tom "spot" Callaway 2005-10-10 17:17:05 EDT
No one has reviewed this yet... but here is some information to help you out:

If you're a new contributor (if this is your first package) you need to follow
the steps listed here:

I took a very quick glance at your spec file, and the following issues need to
be corrected:

- Use the Fedora standard BuildRoot as defined in PackagingGuidelines
- Don't do this: Release: 1%{?tog_pegasus:.tog_pegasus} You shouldn't be putting
random text in the release field, conditionalized or not. The only thing that
can go there are specific pre/post release cases (e.g. openssl 0.9.6a, mozilla
1.8beta1) or the dist tag (%{?dist}). All of these are documented in
- Source0: http://prdownloads. ... thats not a valid url (wget will choke on
it). Change it to http://download.sourceforge.net/...
- Unconditionalize your requires. You either need em or you don't. When in
doubt, default to including them and making the package as fully featured as
possible. Same goes for the %configure conditionalizing.
- The devel and test packages need Requires: %{name} = %{version}-%{release},
not just %{version}.
- %setup -n %{name}-%{version} is the default, you can just say %setup
- don't conditionalize the removal of $RPM_BUILD_ROOT, just nuke it. We're
always setting it in the spec file, so we know it will never ever ever be /
without checking.
- don't strip the libraries, the rpm build process does this for us, and saves
it in the -debuginfo package, so we can use those symbols for debugging later.
- you don't need to conditionalize the %postun ldconfig call, because it never
hurts to run ldconfig. :) Also, in the unlikely case that the new package
doesn't install but the old one goes out, we still want the system state to
reflect that.
- Don't use %{version}-%{release} in changelog, this will only be right once.
Hardcode it.

If you have any questions, let me know. Post a package that has the above items
resolved, and I'll do a formal review. :)
Comment 3 Mark Hamzy 2005-10-19 14:21:19 EDT
Here are some comments from the SBLIM owner:

OK, I have incorporate the changes in a preview package. The new spec file can 
be found at http://prdownloads.sourceforge.net/sblim/sblim-cmpi-base.spec?
download and the SRC RPM is http://prdownloads.sourceforge.net/sblim/sblim-
cmpi-base-1.5.4-1.src.rpm?download .

Perhaps a few words about the context. This package (and others from the SBLIM 
project) is meant to be a plugin for tog-pegasus (or other WBEM servers). 
Therefore it has some "non-standard" characteristics: it uses the same Group 
as tog-pegasus does (Systems Management/Base). Then it ships a few shared 
libraries ending in .so (the ones going to /usr/lib/Pegasus). These are 
provider modules for Pegasus (which is only looking for libs ending in .so, 
not .so.<some-numbers>). Therefore these do not belong to the devel package. 
The other shared objects (in /usr/lib) do follow the usual conventions.

Comment 4 Mark Hamzy 2005-10-25 16:48:31 EDT
Hello.  Would someone mind performing a formal review, please?
Comment 5 Jason Vas Dias 2005-11-21 15:17:34 EST
I have now completed review of theses sblim packages, and have verified that
all tests pass with tog-pegasus-2.5-4+ :
All the tests in sblim-testsuite-1.2.4-1+ pass with these packages installed.

These packages seem fine to go into FC Extras .
Comment 6 Thorsten Leemhuis 2006-01-27 12:25:18 EST
Mark, do have a sponsor already? Is this the only packager currently under
review for extras?
Comment 7 Mark Hamzy 2006-01-27 12:41:19 EST
Hi Thorsten,

I do not think so.  Perhaps Jason might be??  I have been working with him in 
the past for these packages.

I am starting with the sblim-cmpi-base, sblim-testsuite, and sblim-wbemcli.  
If those are accepted, then I will be added more later.

The spec files and source RPMS are located under 
for the respective packages.
Comment 8 Mark Hamzy 2006-01-30 18:33:52 EST
So, how do I find a sponsor now?

What is the next step in this process?
Comment 9 Kevin Fenzi 2006-01-30 19:44:41 EST
in reply to comment #8:

It looks like spot in comment #2 indicated he would do a formal review, and
perhaps he is going to sponsor you as well. 

Next step is to wait for that, but while you are waiting you can comment on
other packages that are in review to show any potential sponsors that you
understand the package guidelines well. 

You can find such a list at: 
Comment 10 Jason Vas Dias 2006-01-31 15:06:47 EST
OK, I've now completed review, and sponsored Mark Hamzy to submit the packages .
Comment 11 Christian Iseli 2006-12-30 18:38:35 EST
Properly block FE-ACCEPT
Comment 12 Praveen K Paladugu 2009-09-15 12:09:01 EDT
New Package CVS Request
Package Name: sblim-cmpi-base
Short Description: Standards Based Linux Instrumentation Base CMPI Providers
Owners: praveenp hamzy srini
Branches: EL-4 EL-5
InitialCC: praveenp
Comment 13 Jason Tibbitts 2009-09-16 17:24:46 EDT
You do not own that package in Fedora, and I see no indication that the existing Fedora owner wishes to have their packages branched for EPEL.  Please see https://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL, get an ack from the current owner of the Fedora package, adjust the Owners: field if necessary and re-set the CVS flag.
Comment 14 Mark Hamzy 2009-09-16 17:52:06 EDT
I am fine with EPEL
Comment 15 Jason Tibbitts 2009-09-16 18:14:40 EDT
You're not the current package owner in Fedora as far as I can tell.  Nor are you the co-maintainer, nor are you even CC'd on commits.

Comment 16 Vitezslav Crhonek 2009-10-08 05:02:40 EDT
Package Change Request
Package Name: sblim-cmpi-base
New Branches: EL-4 EL-5
Owners: vcrhonek
Comment 17 Kevin Fenzi 2009-10-08 22:58:22 EDT
cvs done.
Comment 18 Vitezslav Crhonek 2009-10-12 09:56:18 EDT

Note You need to log in before you can comment on or make changes to this bug.